Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.graph.query.model
Interface LanguageObject

All Superinterfaces:
  Serializable, Visitable

All Known Subinterfaces:
  Command, Constraint, DynamicOperand, JcrConstraint, JcrDynamicOperand, JcrJoinCondition, JcrQueryCommand, JcrSource, JcrStaticOperand, JoinCondition, QueryCommand, Source, StaticOperand

All Known Implementing Classes:
  AllNodes, And, ArithmeticOperand, Between, BindVariableName, ChildNode, ChildNodeJoinCondition, Column, Comparison, DescendantNode, DescendantNodeJoinCondition, EquiJoinCondition, FullTextSearch, FullTextSearchScore, JcrAnd, JcrArithmeticOperand, JcrBetween, JcrBindVariableName, JcrChildNode, JcrChildNodeJoinCondition, JcrColumn, JcrComparison, JcrDescendantNode, JcrDescendantNodeJoinCondition, JcrEquiJoinCondition, JcrFullTextSearch, JcrFullTextSearchScore, JcrJoin, JcrLength, JcrLimit, JcrLiteral, JcrLowerCase, JcrNamedSelector, JcrNodeDepth, JcrNodeLocalName, JcrNodeName, JcrNodePath, JcrNot, JcrOr, JcrOrdering, JcrPropertyExistence, JcrPropertyValue, JcrReferenceValue, JcrSameNode, JcrSameNodeJoinCondition, JcrSelectQuery, JcrSetCriteria, JcrSetQuery, JcrSqlQueryParser.JoinableSources, JcrSubquery, JcrUpperCase, Join, Length, Limit, Literal, LowerCase, NamedSelector, NodeDepth, NodeLocalName, NodeName, NodePath, Not, Or, Ordering, PropertyExistence, PropertyValue, Query, ReferenceValue, SameNode, SameNodeJoinCondition, Selector, SetCriteria, SetQuery, Subquery, UpperCase

    public interface LanguageObject

extends Visitable, Serializable

A common interface for all query language objects.

Method Summary

Methods inherited from interface org.modeshape.graph.query.model.Visitable
`accept`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2011 JBoss, a division of Red Hat. All Rights Reserved.